メインコンテンツへスキップ
POST
/
integrators
/
timeline
/
v3
/
{appId}
/
event-templates
/
{eventTemplateId}
/
tokens
既存のテンプレートにトークンを追加
curl --request POST \
  --url https://api.hubapi.com/integrators/timeline/v3/{appId}/event-templates/{eventTemplateId}/tokens \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "label": "<string>",
  "name": "<string>",
  "options": [
    {
      "label": "<string>",
      "value": "<string>"
    }
  ],
  "type": "date",
  "createdAt": "2023-11-07T05:31:56Z",
  "objectPropertyName": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z"
}
'
{
  "label": "<string>",
  "name": "<string>",
  "options": [
    {
      "label": "<string>",
      "value": "<string>"
    }
  ],
  "type": "date",
  "createdAt": "2023-11-07T05:31:56Z",
  "objectPropertyName": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

appId
integer<int32>
必須

ターゲットアプリのID。

eventTemplateId
string
必須

イベントテンプレートID。

ボディ

application/json
label
string
必須

リストのセグメンテーションやレポートに使用されます。

name
string
必須

テンプレートで参照されるトークンの名前。特定のテンプレートで固有である必要があります。使用できるのは英数字、ピリオド、ダッシュ、またはアンダースコア(. - _)のみです。

options
object[]
必須

データ型が「列挙」の場合、選択元となるオプションのリストが必要です。

type
enum<string>
必須

トークンのデータ型。現在のところ、[文字列、数値、日付、列挙]の中から選択できます。

利用可能なオプション:
date,
enumeration,
number,
string
createdAt
string<date-time>

イベント テンプレート トークンが作成された日時(ISO 8601タイムスタンプ)。テンプレートが2020年2月18日より前に作成された場合はnullになります。

objectPropertyName
string

CRMオブジェクトプロパティーの名前。イベントに関連付けられているCRMオブジェクトプロパティーが入力されます。十分に用意すれば、タイムラインAPIを使用してCRMオブジェクトを完全に構築できます。

updatedAt
string<date-time>

イベント テンプレート トークンが最後に更新された日時(ISO 8601タイムスタンプ)。テンプレートが2020年2月18日より前に作成された場合はnullになります。

レスポンス

successful operation

label
string
必須

リストのセグメンテーションやレポートに使用されます。

name
string
必須

テンプレートで参照されるトークンの名前。特定のテンプレートで固有である必要があります。使用できるのは英数字、ピリオド、ダッシュ、またはアンダースコア(. - _)のみです。

options
object[]
必須

データ型が「列挙」の場合、選択元となるオプションのリストが必要です。

type
enum<string>
必須

トークンのデータ型。現在のところ、[文字列、数値、日付、列挙]の中から選択できます。

利用可能なオプション:
date,
enumeration,
number,
string
createdAt
string<date-time>

イベント テンプレート トークンが作成された日時(ISO 8601タイムスタンプ)。テンプレートが2020年2月18日より前に作成された場合はnullになります。

objectPropertyName
string

CRMオブジェクトプロパティーの名前。イベントに関連付けられているCRMオブジェクトプロパティーが入力されます。十分に用意すれば、タイムラインAPIを使用してCRMオブジェクトを完全に構築できます。

updatedAt
string<date-time>

イベント テンプレート トークンが最後に更新された日時(ISO 8601タイムスタンプ)。テンプレートが2020年2月18日より前に作成された場合はnullになります。

Last modified on April 13, 2026